Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.repository
Class ChangeLogFile

    java.lang.Object
      com.atlassian.bamboo.repository.ChangeLogFile

All Implemented Interfaces:
  CommitFile

    public class ChangeLogFile

extends Object
implements CommitFile

This class provides information about change log file revisions.

Constructor Summary
`ChangeLogFile(String name)` Create a log file entry for a file with the given name,

Method Summary
`boolean` | `equals(Object o)`
`String` | `getCleanName()`
`String` | `getName()` What's the name of the file?
`String` | `getRevision()` What's the version of the file?
`int` | `hashCode()`
`boolean` | `isRevisionKnown()`
`void` | `setRevision(String revision)` Set the repository specific version number

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeLogFile

    public ChangeLogFile(String name)

  Create a log file entry for a file with the given name,

  Parameters:
    `name` - The name of the file

Method Detail

### setRevision

    public void setRevision(String revision)

  Set the repository specific version number

  Parameters:
    `revision` - The version

### getName

    public String getName()

  What's the name of the file?

  Specified by:
    `getName` in interface `CommitFile`
  Returns:
    The file name

### getCleanName

    public String getCleanName()

  Specified by:
    `getCleanName` in interface `CommitFile`
  Returns:
    name of file with cvs discrepencies removed

### getRevision

    public String getRevision()

  What's the version of the file?

  Specified by:
    `getRevision` in interface `CommitFile`
  Returns:
    File version

### isRevisionKnown

    public boolean isRevisionKnown()

  Specified by:
    `isRevisionKnown` in interface `CommitFile`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.